Payment-links

Payment links are shareable URLs that allow payers to complete a payment without requiring a direct API integration.

Each payment link is associated with a product, amount, and configured payment method. Links can be activated, shared with customers, and used to initiate checkout sessions. They can also be deactivated or deleted when no longer needed.

Use the Payment Links API to create, retrieve, activate, and delete payment links.

Endpoints
GET /payment-links
GET /payment-links/:id
POST /payment-links
DELETE /payment-links/:id
POST /payment-links/:id/activate
get

Lists payment links with filtering and pagination options.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
idstringOptional

Comma separated id to list payment links for.

statusstringOptional

Comma separated status to list payment links for.

destination.accountNumberstringOptional

Comma separated destination account number to list payment links for.

customer.emailstring · emailOptional

Comma separated customer email to list payment links for.

limitinteger · max: 50Optional

Specifies the maximum number of items to return in a single request.

Example: 0
nextintegerOptional

A cursor indicating the position of the last retrieved item.

Example: 0
offsetintegerOptional

A cursor indicating how many items to skip from the request

Example: 0
owner.identityIdstringOptional

Comma separated owner identityIds to list payment links for.

Header parameters
x-api-keystringRequired

The API key used for authentication when making requests to the API Gateway.

User-AgentstringRequired

Identifies the application making the request.

Example: ConomyApp
Responses
chevron-right
200

Request processed successfully.

application/json
get
/payment-links
get

Retrieves a payment link by ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

Paymen link id

Header parameters
x-api-keystringRequired

The API key used for authentication when making requests to the API Gateway.

User-AgentstringRequired

Identifies the application making the request.

Responses
chevron-right
200

Request processed successfully.

application/json

Payment-link response schema including checkout and status fields.

idstringRequired

Unique identifier for the internal service.

checkoutTokenstringRequired

Reference for checkout url

statusstring · enumRequired

Whether the payment link’s url is active. If false, customers visiting the URL will be shown a page saying that the link has been deactivated

Possible values:
currencystringRequired

Currency for payment

preTaxAmountstringRequired

Addition of all items preTaxAmounts

totalAmountstringRequired

Addition of all items totalAmounts

urlstringRequired

Url to open checkout flow

createdAtstring · date-timeRequired

When the link expires

durationinteger · min: 30Required

Amount of seconds for payment link to be inactivated after creation

successUrlstringOptional

The URL to which the end user will be redirected after successful payment completion.

failedUrlstringOptional

The URL to which the end user will be redirected after failed payment or cancellation.

get
/payment-links/{id}

Create payment link

post

Creates a reusable payment link for collecting payments.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
x-api-keystringRequired

The API key used for authentication when making requests to the API Gateway.

User-AgentstringRequired

Identifies the application making the request.

Body

Request payload used to create a checkout session.

checkoutTokenstringRequired

Reference for checkout url

currencystringRequired

Currency for payment

durationinteger · min: 30Required

Amount of seconds for payment link to be inactivated after creation

successUrlstringOptional

The URL to which the end user will be redirected after successful payment completion.

failedUrlstringOptional

The URL to which the end user will be redirected after failed payment or cancellation.

Responses
post
/payment-links
delete

Only ATTEMPT and EXPIRED links can be deleted

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

Paymen link id

Header parameters
x-api-keystringRequired

The API key used for authentication when making requests to the API Gateway.

User-AgentstringRequired

Identifies the application making the request.

Responses
delete
/payment-links/{id}

No content

Activate payment link

post

Activates a payment link so it can accept new checkout sessions.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

Unique identifier of the payment link to activate.

Header parameters
x-api-keystringRequired

The API key used for authentication when making requests to the API Gateway.

User-AgentstringRequired

Identifies the application making the request.

Responses
chevron-right
200

Request processed successfully.

application/json

Payment-link response schema including checkout and status fields.

idstringRequired

Unique identifier for the internal service.

checkoutTokenstringRequired

Reference for checkout url

statusstring · enumRequired

Whether the payment link’s url is active. If false, customers visiting the URL will be shown a page saying that the link has been deactivated

Possible values:
currencystringRequired

Currency for payment

preTaxAmountstringRequired

Addition of all items preTaxAmounts

totalAmountstringRequired

Addition of all items totalAmounts

urlstringRequired

Url to open checkout flow

createdAtstring · date-timeRequired

When the link expires

durationinteger · min: 30Required

Amount of seconds for payment link to be inactivated after creation

successUrlstringOptional

The URL to which the end user will be redirected after successful payment completion.

failedUrlstringOptional

The URL to which the end user will be redirected after failed payment or cancellation.

post
/payment-links/{id}/activate

Last updated